classification
Title: configure script fails to detect "float word ordering" on Solaris
Type: Stage: resolved
Components: Build Versions: Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: BTaskaya, jcea, miss-islington, wiggin15
Priority: normal Keywords: patch

Created on 2019-10-19 14:47 by wiggin15, last changed 2020-04-01 16:52 by pablogsal. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 16845 merged wiggin15, 2019-10-19 14:52
PR 19279 merged miss-islington, 2020-04-01 15:19
Messages (3)
msg354941 - (view) Author: Arnon Yaari (wiggin15) * Date: 2019-10-19 14:47
When running the configure script on Solaris SPARC (versions 10 and 11), the script fails with the following error:

    checking whether float word ordering is bigendian... unknown
    configure: error:

    Unknown float word ordering. You need to manually preset
    ax_cv_c_float_words_bigendian=no (or yes) according to your system.


The configure script uses "grep" on a compiled binary to see how a float variable is compiled. On Solaris, the regular "grep" command may be an old version that fails to search in a binary file. The correct command should be "ggrep" (the GNU grep).
Luckily, Python's configure script already finds this command in an earlier check:

    checking for grep that handles long lines and -e... /usr/bin/ggrep

All we have to do, then, is use the command that configure finds. i.e. replace "grep" -> "$GREP".
msg365485 - (view) Author: miss-islington (miss-islington) Date: 2020-04-01 15:19
New changeset 5dd836030e0e399b21ab0865ae0d93934bdb3930 by Arnon Yaari in branch 'master':
bpo-38527: fix configure script for Solaris (GH-16845)
https://github.com/python/cpython/commit/5dd836030e0e399b21ab0865ae0d93934bdb3930
msg365487 - (view) Author: miss-islington (miss-islington) Date: 2020-04-01 15:38
New changeset fc036409226d2c65dad9503854f09b9a39c84f14 by Miss Islington (bot) in branch '3.8':
bpo-38527: fix configure script for Solaris (GH-16845)
https://github.com/python/cpython/commit/fc036409226d2c65dad9503854f09b9a39c84f14
History
Date User Action Args
2020-04-01 16:52:39pablogsalsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-04-01 15:38:33miss-islingtonsetmessages: + msg365487
2020-04-01 15:19:29miss-islingtonsetpull_requests: + pull_request18635
2020-04-01 15:19:18miss-islingtonsetnosy: + miss-islington
messages: + msg365485
2020-02-29 16:34:40BTaskayasetnosy: + jcea, BTaskaya
2019-10-19 14:52:08wiggin15setkeywords: + patch
stage: patch review
pull_requests: + pull_request16395
2019-10-19 14:47:05wiggin15create